<bugID>995164<Summary>Creating a custom toolbar while in customize mode doesn't make it immediately accessible</Summary><Description>STR:

1. New profile in latest Nightly
2. Enter customize mode:
3. Create a custom toolbar though browser console (just like in bug 989689):
&gt; var testBar = document.createElement('toolbar');
&gt; testBar.id = 'testBar';
&gt; testBar.setAttribute('toolbarname', 'Test Bar');
&gt; testBar.hidden = false;
&gt; testBar.collapsed = false;
&gt; testBar.setAttribute('class', 'toolbar-primary chromeclass-toolbar');
&gt; testBar.setAttribute('context', 'toolbar-context-menu');
&gt; testBar.setAttribute('customizable', 'true');
&gt; CustomizableUI.registerArea('testBar', 
&gt;   { type: CustomizableUI.TYPE_TOOLBAR, legacy: false }
&gt; );
&gt; gNavToolbox.appendChild(testBar);

If you try to drag any widget into the testBar (or out of it, if you had previously added anything to it), it won't work. It seems like it can be customized (has all the hover effects and all), but the widgets won't land there, or can't be dragged out of it. You need to close customize mode and open it again to customize the toolbar.

This seems important (I don't think the system was meant to force new toolbars to be added only when not in customize mode, please let me know if I'm mistaken), so I'm CC'ing you directly again.</Description></bugID>